Skip to main content
GET
/
api
/
v1
/
attributes
/
risk_levels
ListRiskLevels
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.Attributes.ListRiskLevels(ctx, operations.C1APIAttributeV1AttributesListRiskLevelsRequest{})
    if err != nil {
        log.Fatal(err)
    }
    if res.ListRiskLevelsResponse != nil {
        // handle response
    }
}
{
  "list": [
    {
      "attributeTypeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "value": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Query Parameters

page_size
integer<int32>

The pageSize field.

page_token
string

The pageToken field.

Response

200 - application/json

ListRiskLevelsResponse is the response for listing risk level attribute values.

ListRiskLevelsResponse is the response for listing risk level attribute values.

list
Attribute Value · object[] | null

The list of risk level attribute values.

nextPageToken
string

The token to retrieve the next page of results, or empty if there are no more results.